/**
 * Created by IntelliJ IDEA.
 * User: m09kdo
 * Date: 30.09.2009
 * Time: 17:32:01
 * To change this template use File | Settings | File Templates.
 */

 import java.io.*;
 import java.util.*;

public class Project_1{
    public static void  main(String[]args) throws FileNotFoundException { {
  Scanner s = new Scanner(new File("quotient.in"));
        double a=s.nextInt();
        double b=s.nextInt();
  PrintWriter p = new PrintWriter(new File("quotient.out"));
  if(b==0) {
      p.print("Na nol' delit' nel'zya!!!");
  }
  else
  p.print(a/b);
  s.close();
  p.close();

}
}
}
